rand('seed',0)
x = rand(100,1)*4-2; 
y = rand(100,1)*4-2;
z = x.*exp(-x.^2-y.^2);
%x, y, and z are now vectors containing nonuniformly sampled data. Define a regular grid, and grid the data to it:

ti = -2:.25:2; 
[XI,YI] = meshgrid(ti,ti);
ZI = griddata(x,y,z,XI,YI);
%Plot the gridded data along with the nonuniform data points used to generate it:

mesh(XI,YI,ZI), hold
plot3(x,y,z,'o'), hold off